package com.liquidnet.common.third.zxlnft.dto.nft;

import com.liquidnet.commons.lang.util.JsonUtils;
import lombok.Data;

import java.io.Serializable;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: TODO
 * @class: PublishReq
 * @Package com.liquidnet.common.third.zxlnft.dto.nft
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/18 15:45
 */
@Data
public class Nft034PublishResp implements Serializable {
    /**
     * 任务ID
     */
    private String taskId;

    private static final Nft034PublishResp obj = new Nft034PublishResp();
    public static Nft034PublishResp getNew() {
        try {
            return (Nft034PublishResp) obj.clone();
        } catch (CloneNotSupportedException e) {
            return new Nft034PublishResp();
        }
    }

    @Override
    public String toString(){
        return JsonUtils.toJson(this);
    }
}
